Morph-M - Warning #17
Windows nous fera toujours rire (MAX_PATH=260 caractéeres)
11/28/2008 06:47 PM - Serge Koudoro

Status: Fermé Start date:
Priority: Normal Due date:
Assignee: % Done:
Category: old plone Bugs Estimated time:
Target version:

06/15/2007

0%
0.00 hour

Description
Windows nous fera toujours rire (MAX_PATH=260 caractéres)

Description:

Suite a l'atelier template to interface

Un bug légérement inconcevable vient d'étre trouvé

La longeur du path ABSOLUE de compilation semble étre limité !!!
MAX_PATH=260

Voir pour la suite les commentaires de Thibault et les liens microsoft

Faisons un petit calcul ensemble:

:\Documents and Settings\Thibauld\morphee\src\workshops\ProjetTemplateTolnterfac
e_with_MORPHM\TemplateTolnterface\build\VisualC7Windows\..\..\..\..\..\..\(temp_
info)\release multithreaded no global optimizations
divc7\morphee\TemplateTolnterface/morpheeTemplateTolnterface.obj

--> 279 caractéres

or pour windows: MAX_PATH=260

(par ex voir ici: http://msdn.microsoft.com/library/default.asp?url=/library/en-
us/cpref/html/frirfsystemiopathclassgetfullpathtopic.asp)

#4 15/06/2007 15:01 (Tibs)

Change: status: "pending" >—went—fix"
Comment:

-> j'ouvre une FAQ speciale Windows avec ce truc
--> je marque le bug comme won't fix

#3 15/06/2007 15:01 (Tibs)

Change: assignees: "[]" -> "['raffi', Thomas', 'Tibs'T"

#2 comment 16/04/2007 18:38 (Thomas)

#1 16/04/2007 18:30 (Thomas)

Change: topic: " -> "UI"
Change: solution: " -> "Changé pour un pingouin quelconque

Non parce que, que les release client sont sous Windows

Hurler sur Microsoft, et faire des paths de 260 caractéres maximum "

Change: title: "™ -> "Windows nous fera toujours rire (MAX_PATH=260 caractéres)"
Change: classification: "Bug" -> "Bug+Solution”

Change: description: " -> "Suite a I'atelier template to interface

Un bug |égérement inconcevable vient d'étre trouvé
La longeur du path ABSOLUE de compilation semble étre limité !!!

MAX_PATH=260
http://msdn.microsoft.com/library/default.asp?url=/library/en-

Voir pour la suite les commentaires de Thibault et les liens microsoft

Faisons un petit calcul ensemble:

:\Documents and
Settings\Thibauld\morphee\src\workshops\ProjetTemplate Tolnterface_with_ MORPHM\TemplateTolnterface\build\VisualC7Windows\
SLLLAL\L\(temp_info)\release multithreaded no global optimizations
di\vc7\morphee\TemplateTolnterface/morpheeTemplateTolnterface.obj

--> 279 caractéres

or pour windows: MAX_PATH=260
(par ex voir ici: http://msdn.microsoft.com/library/default.asp?url=/library/en-us/cpref/html/frirfsystemiopathclassgetfullpathtopic.asp)

History

#1 - 11/28/2008 06:48 PM - Serge Koudoro
- Category set to old plone Bugs

- Status changed from Nouveau to Commentaire

#2 - 11/28/2008 06:49 PM - Serge Koudoro
- % Done changed from 0 to 100

#3 - 11/29/2008 02:50 PM - Serge Koudoro

- Tracker changed from Anomalie to Warning

#4 - 11/29/2008 02:54 PM - Serge Koudoro
- Start date set to 06/15/2007
- % Done changed from 100 to 0

#5 - 12/01/2008 03:44 PM - Serge Koudoro

- Status changed from Commentaire to Fermé
